/* Login screen */

:root {
  --cl-blue-normal: #002855;
  --cl-blue-hover: #009CDD;
  --cl-white: #FFFFFF;
  --line-border-fill: #009CDD;
  --line-border-empty: #C2D9FF;
  --line-border-current: #30C9A2;
}

body {
  font-family: "Helvetica Neue LT", sans-serif !important;
}

.app-header__logo .logo-src {
  background-size: contain !important;
  background-repeat: no-repeat !important;
}

.cl_frontend-body {
  margin-top: 60px;
}

.card{
  box-shadow:none !important;
  border-radius: var(--bs-border-radius-xl) !important;
  overflow:hidden;
  border: 1px solid var(--bs-secondary-border-subtle)!important;
}

@media(width>=769px) {
  .cl_frontend-body {
    margin-top: 66px;
  }
}

.frm-login-bgs {
  background: #EAEAEA url(../img/login-bg.jpg) no-repeat;
  background-size: cover;
  height: 100vh;
}

.frm-login-bg {
  position: absolute;
  width: 50%;
  height: 100vh;
  background: rgba(255, 255, 255, 0.8);
  right: 0;
  top: 0;
  padding: 30px 30px 20px;
}

.frm-login-ly {
  display: flex;
  width: 100%;
  align-items: center;
  justify-content: center;
  height: 100%;
}

.frm-login-ly h2 {
  font-size: 1.4em;
  color: #000;
  text-align: center;
  font-weight: bold;
  border-bottom: solid 1px #EAEAEA;
  padding-bottom: 20px;
  margin-bottom: 20px;
}

.frm-login-ly button {
  background: transparent;
  color: #CA1205;
  font-size: 1.6em;
  text-align: center;
  width: auto;
  text-transform: uppercase;
  padding: 5px 7px !important;
  border: 0 none;
}

.frm-login-ly button:focus,
.frm-login-ly button:active {
  outline: none;
  background: transparent;
  color: #000;
}

.frm-login-ly button:hover {
  background: transparent;
  color: #000;
}

.frm-login-ly form {
  margin-bottom: 0;
  width: 60%;
}

.frm-login-ly .help-block {
  min-height: 20px;
  margin-bottom: 0;
}

.site-credits-footer {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  padding-bottom: 20px;
  color: #FFF;
  font-size: 1.4em;
  text-align: center;
}

.site-credits-footer a {
  color: #FFF;
  text-decoration: none;
}

.ut-switch-button {
  display: inline-block;
}

.ut-switch-button .ut-switch-button__checkbox {
  display: none;
}

.ut-switch-button .ut-switch-button__label {
  background-color: #CCCCCC;
  width: 2rem;
  height: 1rem;
  border-radius: 3rem;
  display: inline-block;
  position: relative;
}

.ut-switch-button .ut-switch-button__label:before {
  transition: .2s;
  display: block;
  position: absolute;
  width: 1rem;
  height: 1rem;
  background-color: #fdffff;
  content: '';
  border-radius: 50%;
  box-shadow: inset 0px 0px 0px 1px #666666;
}

.ut-switch-button .ut-switch-button__checkbox:checked+.ut-switch-button__label {
  background-color: #00a878;
}

.ut-switch-button .ut-switch-button__checkbox:checked+.ut-switch-button__label:before {
  transform: translateX(1rem);
}

.ut-loader-container {
  width: 100%;
  height: 10px;
  /* Adjust height as needed */
  background-color: #f0f0f0;
  /* Background color of the loader track */
  position: relative;
  overflow: hidden;
  /* Ensures the line stays within the container */
}

.ut-loader-container .ut-loader-line {
  width: 20%;
  /* Initial width of the animated line */
  height: 100%;
  background-color: #007bff;
  /* Color of the animated line */
  position: absolute;
  top: 0;
  left: -20%;
  /* Start off-screen to the left */
  animation: bounce-line 1.5s infinite ease-in-out;
  /* Animation properties */
}

@keyframes bounce-line {
  0% {
    left: -20%;
    /* Start off-screen left */
  }

  50% {
    left: 100%;
    /* Move across to off-screen right */
  }

  100% {
    left: -20%;
    /* Return to start, creating a continuous loop */
  }
}

.ut-loader-container-gray {
  width: fit-content;
  min-width: 200px;
  height: 15px;
  /* Adjust height as needed */
  background-color: #CCC;
  /* Background color of the loader track */
  position: relative;
  border-radius: 20px;
  margin-bottom: 10px;
  overflow: hidden;
  /* Ensures the line stays within the container */
}

.ut-loader-container-gray .ut-loader-line {
  width: 20%;
  /* Initial width of the animated line */
  height: 100%;
  background: #000000;
  background: linear-gradient(90deg, rgba(0, 0, 0, 0) 0%, rgba(255, 255, 255, 1) 50%, rgba(0, 0, 0, 0) 100%);
  position: absolute;
  top: 0;
  left: -20%;
  /* Start off-screen to the left */
  animation: bounce-line-start-end 5s infinite;
  /* Animation properties */
}

@keyframes bounce-line-start-end {
  0% {
    left: -20%;
  }

  100% {
    left: 120%;
  }
}

@media(min-width:769px) {
  .form-group {
    margin: 0 0 18px;
  }

  /*.form-login-ly input[type='text'], .form-login-ly input[type='password']{ font-size:1.2em; }*/

  .form-login-ly {
    height: 300px;
  }

  .form-login-ly button {
    font-size: 1.2em;
    padding: 15px 7px;
  }

  .form-login-ly button {
    background: transparent;
    color: #CA1205;
    font-size: 1.2em;
    text-align: center;
    width: auto;
    text-transform: uppercase;
    padding: 5px 7px !important;
    border: 0 none;
  }

  .site-credits-footer {
    font-size: 1.1em;
  }
}

.sidebar .nav li ul li a {
  display: block;
  margin-left: 20px !important;
}

/* Submenu */
.nav li.separator {
  height: 1px !important;
  margin: 0 !important;
}

.nav li.separator:after {
  width: calc(100% - 60px) !important;
  left: 30px !important;
}

.nav li.separator+li {
  margin-top: 0 !important;
}

.module_list_grid {
  list-style: none;
  margin: 0;
  padding: 0;
}

.module_list_grid li {
  display: inline-block;
  margin: 5px;
  border: solid 2px #CCC;
  border-radius: 3px;
  text-transform: uppercase;
  padding: 1px 3px;
  color: #CCC;
  font-size: 0.8em;
  line-height: 1em;
}

.bootstrap-select.show>.dropdown-menu>.dropdown-menu {
  display: block;
}

.bootstrap-select>.dropdown-menu>.dropdown-menu li.hidden {
  display: none;
}

.filter_compare_select {
  border: solid 2px #CCC;
  border-radius: 3px;
  text-transform: uppercase;
  padding: 5px;
  color: #CCC;
  font-size: 0.8em;
  line-height: 1em;
  -webkit-appearance: caret !important;
  -moz-appearance: caret !important;
}

.nopadding {
  padding: 0 !important;
}

.table thead tr th {
  font-size: 0.8rem !important;
}

.text-client {
  font-size: 0.8rem !important;
}

.client_pqrsf {
  border: solid 1px #EAEAEA;
}

.client_pqrsf span {
  padding: 2px 3px;
  display: inline-block;
  width: 80%;
  text-align: left;
  vertical-align: top;
}

.client_pqrsf a {
  margin-left: 5px;
}

.no-maxwidth {
  max-width: 100% !important;
}

.delete-menu {
  position: absolute;
  background: white;
  padding: 5px;
  color: #666;
  font-weight: bold;
  border: 1px solid #999;
  font-size: 12px;
  box-shadow: 1px 3px 3px rgba(0, 0, 0, .3);
  margin-top: -10px;
  margin-left: 10px;
  cursor: pointer;
}

.delete-menu:hover {
  background: #eee;
}

.img-product-list {
  max-width: 60px;
  max-height: 60px;
}

.img-product-list-mini {
  max-width: 60px;
  max-height: 60px;
}

.img-product-list-xs {
  max-width: 20px;
  max-height: 20px;
}

.dropdown-item-role {
  padding: 5px 7px;
}

.dropdown-item-role:hover {
  background: #CA1205;
  color: #FFFFFF;
}

.product-list-flex {
  display: flex;
  align-items: center;
}

.cell-product-list-np {
  padding: 1px !important;
}

input.md-number::-webkit-inner-spin-button,
input.md-number::-webkit-outer-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

input.md-number {
  text-align: center;
  padding: 0 !important;
  background: #f44336;
  /*width: 20%;*/
  border: 0 none !important;
  color: #FFFFFF;
  box-shadow: 0 2px 2px 0 rgba(244, 67, 54, .14), 0 3px 1px -2px rgba(244, 67, 54, .2), 0 1px 5px 0 rgba(244, 67, 54, .12);
}

.role-module-spacing {
  margin-right: 10px;
}

.dropdown-role-height {
  max-height: 200px;
  overflow-y: auto;
  min-width: 240px;
}

.remove-item-md {
  position: absolute !important;
  top: -20px;
  right: -10px;
}

.product-material-list {
  padding-top: 30px;
}

.product-material-item .card {
  margin-top: 5px;
  margin-bottom: 5px;
}

.dj-dialog-preload {
  text-align: center;
  font-size: 2em;
  color: #CCC;
  padding: 10px 0;
}

.row-description-product {
  width: 40%;
}

.text-low {
  color: red;
}

.text-middle {
  color: #ede737;
}

.text-good {
  color: orange;
}

.text-high {
  color: green;
}

.td-notification {
  padding: 0 !important;
}

.td-notification .notification_item {
  position: relative;
  padding: 12px 8px;
}

.td-notification .notification_item .more {
  position: absolute;
  right: 5px;
  top: 10px;
  display: none;
}

.td-notification .notification_item .more a {
  color: #000;
}

.td-notification .notification_item .message {
  color: #999;
}

.td-notification .notification_item .datetime {
  font-size: 1.1em;
}

.td-notification .notification_item .datetime i {
  font-size: 1em;
  color: red;
}

.td-notification .notification_item .datetime time {
  color: blue;
  font-size: 0.7em;
}

.td-notification:hover .notification_item .more {
  display: block;
}

.td-notification .notification-unread {
  background: #EAEAEA;
}

.no-products-order {
  border: dashed 3px #CCC;
  background: #EAEAEA;
  margin: 0;
  width: 100%;
  padding: 20px 10px;
  font-size: 1.2em;
  color: #666;
  text-align: center;
}

.ac-image {
  width: 60px;
}

.psr-price-sel {
  padding: 15px;
  position: relative;
  margin: 10px;
}

.psr-price-sel .img-product {
  text-align: center;
}

.psr-price-sel .img-product img {
  width: 100%;
}

.psr-price-sel .remove-psr {
  position: absolute;
  right: -15px;
  top: -15px;
}

.data-product {
  padding: 10px 0;
}

.data-product h4 {
  font-size: 0.9rem !important;
}

.prod-ac-info {
  font-family: Roboto, Helvetica, Arial, sans-serif !important;
  font-size: 0.9em;
}

.ui-state-active {
  background: #EAEAEA !important;
}

.hidden {
  display: none;
}

.banner-width-image {
  width: 100%;
}

.communicate-featured {
  margin: 0 0 20px;
  padding: 0 0 20px 0;
  border-bottom: solid 1px #EAEAEA;
  text-align: center;
}

.communicate-featured img {
  max-width: 100%;
  text-align: center;
}

.communicate-content {
  font-size: 0.8em;
}

.empty {
  text-align: center;
}

.red-color {
  color: red;
}

.price-control {
  border: solid 1px #CCCCCC;
}

/*
.price-control tr:first-child{ height:30px; }
.price-control th{ font-weight:bold; padding:5px 3px; font-size:0.8em; text-align:center; background:#f55145; color:#FFFFFF; width:35px; line-height:0.9em; }
.price-control th:first-child{ font-size:0.9em; width:auto; text-align:left; }
.price-control th.rotate{ height:350px; width:30px; white-space:nowrap; }
.price-control th.rotate div{ writing-mode: vertical-rl; text-orientation: mixed; }
.price-control th p{ transform:rotate(90deg); }
.price-control tr:first-child th:first-child{ border-right:solid 1px #FFFFFF; }
.price-control td{ padding:5px 3px; text-align:center; font-size:0.9em; }
.price-control tr:not(:first-child):hover{ background:#fcef8d; }
.price-control tr:nth-child(even){ background:#EAEAEA; }
.price-control tr:nth-child(odd){ background:#FAFAFA; }
.price-control tr:not(:first-child) td:not(:first-child):hover{ background:#f9b8b8; }
.price-control td a{  }
.price-control tr td:first-child{ text-align:left; min-width:250px; border-right:solid 1px #666; }
*/

.price-control-div {
  border: solid 1px #CCC;
  background: #FFF;
  display: table;
  width: 100%;
  margin-bottom: 20px;
}

.price-control-div .header-row {
  background: #f55145;
  color: #FFF;
  display: table-row;
  height: 200px;
  text-transform: uppercase
}

.price-control-div .header-id-row {
  width: 30px;
  display: table-cell;
  padding: 5px 10px;
  font-weight: 700;
  vertical-align: middle;
  text-transform: uppercase;
  border: solid 1px #CCC
}

.price-control-div .header-material-row {
  width: 400px;
  display: table-cell;
  padding: 5px 10px;
  font-weight: 700;
  vertical-align: middle;
  border: solid 1px #CCC
}

.price-control-div .header-provider-row {
  display: table-cell;
  background: #CCC;
  color: #000;
  padding: 5px 10px;
  font-weight: 700;
  width: 180px
}

.price-control-div .header-provider-row span {
  writing-mode: vertical-rl;
  text-orientation: mixed
}

.price-control-div .row {
  display: table-row
}

.price-control-div .row:nth-child(even) {
  background: #EAEAEA
}

.price-control-div .row:nth-child(odd) {
  background: #FAFAFA
}

.price-control-div .row:nth-child(even):hover {
  background: #fcef8d
}

.price-control-div .row:nth-child(odd):hover {
  background: #fcef8d
}

.price-control-div .row .row-id {
  width: 30px;
  display: table-cell;
  padding: 5px 10px;
  border: solid 1px #CCC
}

.price-control-div .row .row-material {
  width: 400px;
  display: flex;
  padding: 5px 10px;
  border: solid 1px #CCC
}

.price-control-div .row .row-data {
  width: 180px;
  display: table-cell;
  vertical-align: middle;
  border: solid 1px #CCC;
  padding: 5px 10px;
  text-align: right
}

.price-control-div .row .row-data:hover {
  background: #f9b8b8
}

.price-control-div .header_hover {
  background: #f9b8b8
}

.cp-link {
  display: block;
  padding: 3px;
  color: #333;
}

.cp-link:hover {
  color: #000;
}

.no-margin {
  margin: 0 !important;
}

.ref_scroll {
  height: 250px;
  overflow-y: auto;
  padding: 10px 0;
}

.ref_scroll table {
  width: 250px;
  margin: 0 10px;
  border: solid 1px #999;
}

.ref_scroll table th {
  background: #CCC;
  color: #000;
  font-weight: bold;
  padding: 3px;
}

.ref_scroll table tr:nth-child(even) {
  background: #FAFAFA;
}

.ref_scroll table tr:nth-child(odd) {
  background: #EAEAEA;
}

.ref_scroll table th:first-child {
  border-right: solid 1px #999;
  text-align: right;
}

.ref_scroll table td:first-child {
  border-right: solid 1px #999;
  text-align: right;
}

#sample_data {
  width: 100%;
  overflow-x: auto;
}

#sample_data>table th {
  padding: 0 10px;
}

.padding10_all {
  padding: 10px;
}

.logo-inverted {
  filter: invert(100%);
}

.sidebar-mini .sidebar .nav .nav-item .collapse.show {
  display: none;
}

.sidebar-mini .sidebar:hover .nav .nav-item .collapse.show {
  display: block;
}

.chart_prod_line1 {
  background: red;
}

.chart_prod_line2 {
  background: blue;
}

.text-gray {
  color: #666;
}

.pwd_bar {
  position: relative;
  display: block;
  width: 100% !important;
  height: 1px;
  border: 1px;
  transition: all .4s;
  -webkit-transition: all .4s;
  -moz-transition: all .4s;
  margin-top: -1px;
  background: #FFF;
}

.pwd_bar>div {
  width: 100%;
  position: relative;
  display: block;
  height: 1px;
}

.weak {
  width: 33.3% !important;
  background-color: #e74c3c;
}

.medium {
  width: 66.6% !important;
  background-color: #e67e22;
}

.strong {
  width: 100% !important;
  background-color: #2ecc71;
}

input:focus~.pwd_bar>div,
input:valid~.pwd_bar>div {
  width: 100%;
}

.is-focused .password_validation {
  border-bottom: 0 none !important;
}

.helisa-message {
  background: #EAEAEA;
  padding: 10px;
  margin-bottom: 20px;
  border-bottom: solid 1px #CCC;
}

.helisa-data {
  background: #EAEAEA;
  overflow: auto;
}

.helisa-data table {
  width: 100%;
}

.helisa-data table th {
  background: #CCC;
  color: #000;
  font-weight: bold;
}

.helisa-data table td {
  text-overflow: ellipsis;
}

.helisa-row {
  margin-left: 15px;
  margin-right: 15px;
  margin-bottom: 20px;
}

.app-login-box .app-logo {
  margin-bottom: 3rem;
}

.app-logo {
  height: 23px;
  width: 97px;
  background: url(/img/logo-inverse.png);
}

.slick-slider .slide-img-bg {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-size: cover;
  opacity: .4;
  z-index: 10;
}

.slider-light .slider-content {
  color: #fff;
}

.slick-slider .slider-content {
  position: relative;
  z-index: 15;
  text-align: center;
  margin: 0 6rem;
}

.slick-slider .slider-content h3 {
  font-size: 1.75rem;
  font-weight: normal;
  margin-bottom: 1.5rem;
}

.slick-slider .slider-content p {
  font-size: 1rem;
  opacity: .7;
}

.cl_navbar {
  display: flex;
  justify-content: end;
}

.cl_navbar ul li a {
  color: var(--cl-blue-normal) !important;
  border-bottom: solid 3px transparent;
}

.cl_navbar ul li a:hover {
  color: var(--cl-blue-hover) !important;
  border-bottom: solid 3px var(--cl-blue-hover);
}

footer.footer {
  background: var(--cl-blue-normal);
  color: var(--cl-white);
  font-size: 12px;
}

.login-help-box {
  width: 90%;
  max-width: 500px;
  margin: auto;
}

.progress-container {
  display: flex;
  justify-content: space-between;
  position: relative;
  margin-bottom: 2em;
  max-width: 100%;
  width: 300px;
  margin-left: auto;
  margin-right: auto;
}

.progress-container::before {
  content: '';
  background-color: var(--line-border-empty);
  height: 4px;
  width: 100%;
  position: absolute;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
  /*Positioning bar exactly in the middle of the number*/
  z-index: -1;
}

.progress-bar {
  background-color: var(--line-border-fill);
  height: 4px;
  width: 0%;
  position: absolute;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
  z-index: -1;
  transition: .4s ease;

}

.circle {
  height: 40px;
  width: 40px;
  border-radius: 50%;
  background-color: #fff;
  color: #190482;
  font-size: 20px;
  font-weight: bold;
  display: flex;
  align-items: center;
  justify-content: center;
  border: 3px solid var(--line-border-empty);
  transition: .4s ease;

}

.circle.active {
  border: 3px solid var(--line-border-fill);
  background-color: var(--line-border-fill);
  color: #fff;
}

.circle.current {
  border: 3px solid var(--line-border-current);
}

@media(min-width:768px) {
  .progress-container {
    width: 600px;
  }

  .circle {
    width: 60px;
    height: 60px;
    font-size: 24px;
  }

  .broadcaster-line:not(:first-child) label {
    display: none;
  }
}

.is-expandable {
  cursor: pointer;
}

.is-expandable i {
  transition: 500ms all;
}

.is-expandable.open i {
  transform: rotate(180deg);
}

.select2-container {
  display: block !important;
}

.select2-container .select2-selection--single {
  height: 36px !important;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
  line-height: 36px !important;
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
  height: 36px !important;
}

#progressBar {
  height: 3px;
  background-color: var(--line-border-fill);
  width: 0%;
  transition: width 0.4s ease-in-out;
  position: fixed;
  z-index: 10000;
  top: 0;
  left: 0;
}

.icon-wrapper {
  width: 54px;
  height: 54px;
  margin: 0 auto;
  position: relative;
  overflow: hidden;
  text-align: center;
  display: flex;
  align-items: center;
}

.icon-wrapper i {
  margin: 0 auto;
  font-size: 1.7rem;
  position: relative;
  z-index: 5;
}

.icon-wrapper .icon-wrapper-bg {
  position: absolute;
  height: 100%;
  width: 100%;
  z-index: 3;
  opacity: .2;
}

.icon-wrapper i:before {
  margin-top: -3px;
}

.widget-chart {
  text-align: center;
  padding: 1rem;
  position: relative;
}

.widget-chart .widget-chart-content {
  position: relative;
  z-index: 5;
}

.widget-chart .widget-chart-wrapper {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  opacity: .25;
  z-index: 4;
  border-bottom-right-radius: .25rem;
  border-bottom-left-radius: .25rem;
  overflow: hidden;
}

.widget-chart .widget-numbers {
  font-weight: 700;
  font-size: 2.5rem;
  display: block;
  line-height: 1;
  margin: 1rem auto;
}

.widget-chart .widget-numbers {
  font-weight: 700;
  font-size: 2.5rem;
  display: block;
  line-height: 1;
  margin: 1rem auto;
}

.widget-chart .widget-chart-wrapper {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  opacity: .25;
  z-index: 4;
  border-bottom-right-radius: .25rem;
  border-bottom-left-radius: .25rem;
  overflow: hidden;
}

.bg-login-ut {
  background-color: #0E3458;
  color: #fff
}

.app-logo-inverse {
  background: url(../img/logo-ultratug-inverted-blue.webp) center no-repeat;
  height: 23px;
  width: 97px;
  background-size: cover;
}

.app-login-box h4 div {
  opacity: .6;
}

.app-login-box h4 span {
  font-size: 1.1rem;
}

.answer-box {
  width: 100%;
}

@media(min-width:768px) {
  .answer-box {
    width: auto;
    max-width: 50%;
  }
}

.login-card-body {
  color: #000000;
}

.form-group.has-error .help-block {
  color: #CA1205;
  font-size: 0.8em;
}

.pagination li.disabled span {
  position: relative;
  display: block;
  padding: .5rem .75rem;
  margin-left: -1px;
  line-height: 1.25;
  color: #666;
  background-color: #fff;
  border: 1px solid #dee2e6;
}

/* Labels */
.com-ref-line div>label,
.bank-ref-line div>label,
.partner-line div>label,
.participant-line div>label,
.board-member-line div>label {
  display: block;
}

.com-ref-line:first-child div>label,
.bank-ref-line:first-child div>label,
.partner-line:first-child div>label,
.participant-line:first-child div>label,
.board-member-line:first-child div>label {
  display: block;
}

@media(width > 600px) {

  .bank-ref-line div>label,
  .partner-line div>label,
  .participant-line div>label,
  .board-member-line div>label {
    display: none;
  }

  .bank-ref-line:first-child div>label,
  .partner-line:first-child div>label,
  .participant-line:first-child div>label,
  .board-member-line:first-child div>label {
    display: block;
  }
}

.form-preloader-bg {
  backdrop-filter: blur(10px);
  background-color: rgb(255 255 255 0.6);
  z-index: 10000;
}

.form-loader {
  width: 50px;
  aspect-ratio: 1;
  border-radius: 50%;
  border: 8px solid #514b82;
  animation:
    l20-1 0.8s infinite linear alternate,
    l20-2 1.6s infinite linear;
}

@keyframes l20-1 {
  0% {
    clip-path: polygon(50% 50%, 0 0, 50% 0%, 50% 0%, 50% 0%, 50% 0%, 50% 0%)
  }

  12.5% {
    clip-path: polygon(50% 50%, 0 0, 50% 0%, 100% 0%, 100% 0%, 100% 0%, 100% 0%)
  }

  25% {
    clip-path: polygon(50% 50%, 0 0, 50% 0%, 100% 0%, 100% 100%, 100% 100%, 100% 100%)
  }

  50% {
    clip-path: polygon(50% 50%, 0 0, 50% 0%, 100% 0%, 100% 100%, 50% 100%, 0% 100%)
  }

  62.5% {
    clip-path: polygon(50% 50%, 100% 0, 100% 0%, 100% 0%, 100% 100%, 50% 100%, 0% 100%)
  }

  75% {
    clip-path: polygon(50% 50%, 100% 100%, 100% 100%, 100% 100%, 100% 100%, 50% 100%, 0% 100%)
  }

  100% {
    clip-path: polygon(50% 50%, 50% 100%, 50% 100%, 50% 100%, 50% 100%, 50% 100%, 0% 100%)
  }
}

@keyframes l20-2 {
  0% {
    transform: scaleY(1) rotate(0deg)
  }

  49.99% {
    transform: scaleY(1) rotate(135deg)
  }

  50% {
    transform: scaleY(-1) rotate(0deg)
  }

  100% {
    transform: scaleY(-1) rotate(-135deg)
  }
}

/* Contenedor que agrupará todas las notificaciones */
#ut-toast-container {
  position: fixed;
  top: 20px;
  right: 20px;
  display: flex;
  flex-direction: column;
  /* Apila de arriba hacia abajo */
  gap: 10px;
  /* Espacio entre cada toast */
  z-index: 9999;
  pointer-events: none;
  /* Permite hacer clic a través del contenedor vacío */

}

/* El diseño individual de cada Toast */
.ut-toastr {
  background-color: #323232;
  color: #ffffff;
  padding: 15px 20px;
  border-radius: 5px;
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.15);
  font-family: sans-serif;
  font-size: 14px;
  pointer-events: auto;

  /* ¡NUEVO!: Flexbox para alinear icono y texto */
  display: flex;
  align-items: center;
  /* Para que el icono quede arriba si el texto es muy largo */
  gap: 12px;
  min-width: 250px;
  max-width: 350px;
  /* Evita que crezca infinitamente */

  /* Animación pura con CSS */
  opacity: 0;
  transform: translateX(100%);
  transition: opacity 0.4s ease, transform 0.4s ease;
  position: relative;
  overflow: hidden;
  padding-bottom: 18px;
}

.ut-toastr::after {
  content: '';
  position: absolute;
  bottom: 0;
  left: 0;
  height: 3px;
  width: 100%;
  background-color: rgba(255, 255, 255, 0.4);
  animation: vaciar-barra 5s linear forwards;
}

@keyframes vaciar-barra {
  0% {
    width: 100%;
  }

  100% {
    width: 0%;
  }
}

.ut-toastr.show {
  opacity: 0.9;
  transform: translateX(0);
}

.ut-toastr .ut-toast-icon {
  flex-shrink: 0;
  width: 24px;
  height: 24px;
}

/* Colores por tipo */
.ut-toastr.success {
  background-color: #4CAF50;
}

.ut-toastr.error {
  background-color: #F44336;
}

.ut-toastr.warning {
  background-color: #FF9800;
}

.ut-toastr.info {
  background-color: #2196F3;
}